From: "Vadim A. Misbakh-Soloviov" <mva@mva.name>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gamerlay:master commit in: games-puzzle/osmos/
Date: Sat, 16 Mar 2013 05:31:16 +0000 (UTC) [thread overview]
Message-ID: <1363411885.c06699dbb8a1a6f3e51824e2afd26b71a42d73da.mva@gentoo> (raw)
commit: c06699dbb8a1a6f3e51824e2afd26b71a42d73da
Author: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
AuthorDate: Sat Mar 16 05:31:25 2013 +0000
Commit: Vadim A. Misbakh-Soloviov <mva <AT> mva <DOT> name>
CommitDate: Sat Mar 16 05:31:25 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gamerlay.git;a=commit;h=c06699db
[games-puzzle/osmos] move to EAPI5, some fixes
Signed-off-by: Vadim A. Misbakh-Soloviov <mva <AT> mva.name>
---
games-puzzle/osmos/osmos-1.6.1.ebuild | 31 ++++++++++++++++++-------------
1 files changed, 18 insertions(+), 13 deletions(-)
diff --git a/games-puzzle/osmos/osmos-1.6.1.ebuild b/games-puzzle/osmos/osmos-1.6.1.ebuild
index 6615555..fafe623 100644
--- a/games-puzzle/osmos/osmos-1.6.1.ebuild
+++ b/games-puzzle/osmos/osmos-1.6.1.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI=2
+EAPI=5
inherit eutils games
@@ -20,16 +20,18 @@ IUSE=""
RESTRICT="fetch strip"
PROPERTIES="interactive"
-RDEPEND="virtual/opengl
+RDEPEND="
+ virtual/opengl
virtual/glu
x11-libs/libX11
media-libs/freetype:2
sys-libs/glibc
media-libs/openal
- media-libs/libvorbis"
+ media-libs/libvorbis
+"
DEPEND="${RDEPEND}"
-S=${WORKDIR}/${MY_PN}
+S="${WORKDIR}/${MY_PN}"
GAMES_CHECK_LICENSE="yes"
@@ -38,24 +40,27 @@ pkg_nofetch() {
}
src_install() {
- local dir="${GAMES_PREFIX_OPT}/${PN}"
+ local GAMEDIR="${GAMES_PREFIX_OPT}/${PN}"
+ local exe
- exeinto "${dir}"
- doexe ${MY_PN}
if use amd64 ; then
- doexe ${MY_PN}.bin64 || die "doexe"
+ exe="${MY_PN}.bin64"
fi
if use x86 ; then
- doexe ${MY_PN}.bin32 || die "doexe"
+ exe="${MY_PN}.bin32"
fi
+
+ exeinto "${GAMEDIR}"
+ doexe "${exe}" || die "doexe"
+
dohtml readme.html
- insinto "${dir}"
+ insinto "${GAMEDIR}"
doins -r Fonts/ Sounds/ Textures/ Osmos-* *.cfg || die "doins failed"
- newicon Icons/256x256.png ${PN}.png
+ newicon "Icons/256x256.png" "${PN}.png"
- games_make_wrapper ${PN} ./${MY_PN} "${dir}"
- make_desktop_entry ${PN} "Osmos"
+ games_make_wrapper "${PN}" "./${exe}" "${GAMEDIR}"
+ make_desktop_entry "${PN}" "Osmos"
prepgamesdirs
}
next reply other threads:[~2013-03-16 5:31 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-03-16 5:31 Vadim A. Misbakh-Soloviov [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-01-15 5:48 [gentoo-commits] proj/gamerlay:master commit in: games-puzzle/osmos/ Vadim Misbakh-Soloviov
2020-02-29 13:04 Azamat H. Hackimov
2011-02-28 14:06 Christian Schmitt
2011-02-27 21:34 Azamat H. Hackimov
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1363411885.c06699dbb8a1a6f3e51824e2afd26b71a42d73da.mva@gentoo \
--to=mva@mva.name \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox